<ion-header>
    <ion-toolbar color="primary">
        <ion-buttons slot="start">
          <ion-button fill="clear" href="home/cages">
            <ion-icon name="arrow-round-back"></ion-icon>
          </ion-button>
        </ion-buttons>
      <ion-title>Update cage</ion-title>
    </ion-toolbar>
  </ion-header>

<ion-content padding>
  <ion-item>
    <ion-col class=".vertical-align-content">
      <ion-input [(ngModel)]="name" placeholder="Nom de la cage" name="name" >Cage name : </ion-input>
      <ion-label color="danger">{{labelError}}</ion-label>
    </ion-col>
  </ion-item>
  <ion-item>
    <ion-input [(ngModel)]="latitude" placeholder="latitude" name="latitude" type="number">Latitude : </ion-input>
  </ion-item>
  <ion-item>
    <ion-input [(ngModel)]="longitude" placeholder="longitude" name="longitude" type="number">Longitude : </ion-input>
  </ion-item>
  <ion-item>
    <ion-label>On / Off :</ion-label>
    <ion-toggle [(ngModel)]="toggleValue" (click)="presentAlertMultipleButtons()" style='zoom:0.8;' ion-toggle-text="online;offline"></ion-toggle>
  </ion-item>
  <br>
  <ion-row>
    <ion-col text-center>
      <ion-button (click)="update()" >Confirm</ion-button>
      <ion-button color="danger" href="/home/cages">Abort</ion-button>
    </ion-col>
  </ion-row>
</ion-content>
